#!/bin/bash -e

if [ "$2" == "" ] ; then
    echo "Usage : $0 <model> <order>";
    echo "Exemple : $0 svm";
    return;
fi;

dir=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )

original=mutants/$1/$1.ts.timbuk.txt
order=$2
mutantsDir=mutants/$1/$order

echo "No option"
. $dir/compute-equivalence.sh $original $mutantsDir/ $dir/../results/$1/exact-$order-fwd-bfs.csv
	
options='-fwd -dfs'
echo "Options $options"
. $dir/compute-equivalence.sh $original $mutantsDir/ $dir/../results/$1/exact-$order-fwd-dfs.csv $options

options='-bwd -bfs'	
echo "Options $options"
. $dir/compute-equivalence.sh $original $mutantsDir/ $dir/../results/$1/exact-$order-bwd-bfs.csv $options

options='-bwd -dfs'		
echo "Options $options"
. $dir/compute-equivalence.sh $original $mutantsDir/ $dir/../results/$1/exact-$order-bwd-dfs.csv $options
